package com.platform.yijia.service.impl;

import com.platform.yijia.dao.CouponMapper;
import com.platform.yijia.pojo.Coupon;
import com.platform.yijia.pojo.UserCoupon;
import com.platform.yijia.service.CouponService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("couponService")
public class CouponServiceImpl implements CouponService {
    @Resource
    private CouponMapper couponMapper;

    //获取油站已发放的加油券
    @Override
    public List<Coupon> selectStaGrantCouponList(Coupon coupon) {
        return couponMapper.selectStaGrantCouponList(coupon);
    }

    //获取加油券信息
    @Override
    public Coupon selectCouponInfo(Coupon coupon) {
        return couponMapper.selectCouponInfo(coupon);
    }

    //获取用户优惠券
    @Override
    public List<UserCoupon> selectUserCoupons(UserCoupon userCoupon) {
        return couponMapper.selectUserCoupons(userCoupon);
    }

    //用户领取优惠券
    @Override
    public void addUserCoupon(UserCoupon userCoupon) {
        couponMapper.addUserCoupon(userCoupon);
    }
}
